ID3(1)

NAME
id3 - an ID3 tag editor

SYNOPSIS
id3 [-tTaAycg newdata] file...
id3 -l file...
id3 -d file...
id3 -L

DESCRIPTION
The id3 tool is an ID3 v1.1 tag editor. ID3 tags are traditionally put at the end of compressed streamed audio files to denote information about the audio contents. Up to thirty characters of Title, Artist, and Album information can be stored, as well as a 28-character comment, four-digit year, track number up to 255, and an enumerated genre.

The id3 tool accepts the following command-line options:

-t title
    Sets the title tag to the first 30 characters of the title argument.

-T track
    Sets the track tag to a number between 0 and 255.

-a artist
    Sets the artist tag to the first 30 characters of the artist argument.

-A album
    Sets the album tag to the first 30 characters of the album argument.

-y year
    Sets the year tag to the first 4 characters of the year argument.

-c comment
    Sets the comment tag to the first 28 characters of the comment argument.

-g genre
    Sets the genre number tag using a genre number or predefined genre label.

-l  List/view the ID3 tag.

-L  List all genre tags.

-R  Use rfc822-style output for tag printout.

--d Delete the ID3 tag.

ENVIRONMENT
Not taken into consideration.

EXIT STATUS

SEE ALSO
id3tool(1), id3v2(1)

STANDARDS
The ID3 version 1 (and 1.1) format has never really been standardized. The id3 tool follows what is pretty much a commonly-agreed-on file format.

BUGS
The ID3 format has some shortcomings. There is a 1 in 16777216 chance of your mp3 having a certain bit-pattern, causing id3 to write over the last 128 bytes of your mp3 upon tag creation. If you add a track number to an ID3 v1.0 tag, the last two characters of the comment string will be truncated. Any bugs found in the id3 tool should be forwarded to the author.

AUTHOR
The id3 tool was originally developed by Robert Woodcock <rcw@debian.org>. Some patches were developed by Stefan Ott <stefan@ott.net>. In 2016, development was taken over by Peter Pentchev <roam@ringlet.net>.